> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wander-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Login

> It generates a refreshToken valid for 7 days to relogin and an accessToken valid for 1 hour to use the next endpoints.



## OpenAPI

````yaml api-reference/openapi.json post /login
openapi: 3.1.0
info:
  title: Wander - API partners
  description: >-
    This API, developed by Wander, allows partner applications to access
    Wander's event data. Authentication, provided by the Wander team, is
    required to use this API. If you are interested in utilizing this API,
    please contact us at: support-api@wander-app.fr.


    **Last update: 2025-03-03**
  termsOfService: https://wander-app.fr/api/terms-of-use
  contact:
    email: support-api@wander-app.fr
  version: 1.0.0
servers:
  - url: https://www.wander-service.fr/api/clients
security: []
tags:
  - name: Clients' login
    description: It requires a clientId & clientSecret or a refreshToken
  - name: Direct Event Data Serving
    description: It requires a client's accessToken
  - name: Event Data Fetching and Storage
    description: It requires a client's accessToken
  - name: Client Data
    description: It requires a client's accessToken
paths:
  /login:
    post:
      tags:
        - Clients' login
      summary: Login
      description: >-
        It generates a refreshToken valid for 7 days to relogin and an
        accessToken valid for 1 hour to use the next endpoints.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  description: >-
                    Allows you to log in with your clientId and clientSecret
                    before receiving a refreshToken valid for 7 days, allowing
                    you to log in again.
                  properties:
                    grantAccess:
                      type: string
                      enum:
                        - clientSecret
                    clientId:
                      type: string
                    clientSecret:
                      type: string
                  required:
                    - grantAccess
                    - clientId
                    - clientSecret
                  additionalProperties: false
                - type: object
                  description: >-
                    Allows you to log in with the last refreshToken retrieved
                    when you logged in
                  properties:
                    grantAccess:
                      type: string
                      enum:
                        - refreshToken
                    refreshToken:
                      type: string
                  required:
                    - grantAccess
                    - refreshToken
                  additionalProperties: false
      responses:
        '201':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  accessToken:
                    description: Token to be used for bearerAuth.
                    type: string
                  expiresIn:
                    description: Time in seconds before accessToken expires.
                    type: number
                    examples:
                      - 3600
                  tokenType:
                    type: string
                    examples:
                      - Bearer
                  refreshToken:
                    description: Token valid for 7 days to be used to relogin.
                    type: string
        '401':
          description: Wrong clientId or clientSecret or refreshToken
      security: []

````